Issues with reconcile GP tool

1627
3
03-24-2013 04:22 PM
RobertKeane1
New Contributor
I am having trouble with the reconcile version GP tool. When I try to run the tool there are no versions turning up in the "Edit version" list box. If I try to run the tool (even with an old process out of the results log) I get an error message as follows;

ERROR 999999: Error executing function.
The SE_VERSIONINFO object was not initialized
Insufficient permissions

I can, however, run the reconcile within an edit session in ArcMap and it works fine.

It is a database issue as the process works fine on other databases

I am run version 10 on Oracle.

Any ideas
3 Replies
JensHaffner
New Contributor II
I may have hit the same problem from Python, where I call arcpy.ReconcileVersions_management.

The Error message is the same, and I can reconcile and post the version from ArcMap.

I'm running ArcGIS Desktop 10.1 with an Oracle ArcSDE database.

It's probably the SE_INVALID_VERSIONINFO_OBJECT (-180) error message, but the description:
[INDENT]�?�The VERSIONINFO object has not been initialized�?�[/INDENT]

is not much of a help.
0 Kudos
RussellBrennan
Esri Contributor
Can you post the python code you are running?
0 Kudos
TinaMorgan1
Occasional Contributor II
Hello, I am seeing this issue as well.  I was wondering if there was a resolution that any of you found?  Please post if there is.
0 Kudos